connectivityqt::Connectivity Class Reference

`#include <connectivityqt/connectivity.h>`

Inheritance diagram for connectivityqt::Connectivity:
[legend]
Collaboration diagram for connectivityqt::Connectivity:
[legend]

## Classes

class | Priv

## Public Types

enum class | Limitations { Bandwidth }
| enum for networking limitations More...
enum class | Status { Offline , Connecting , Online }
| enum for networking status More...

## Public Slots

void | setFlightMode (bool enabled)
void | setwifiEnabled (bool enabled)
void | setHotspotEnabled (bool active)
void | setHotspotSsid (const QByteArray &ssid)
void | setHotspotPassword (const QString &password)
void | setHotspotMode (const QString &mode)
void | setHotspotAuth (const QString &auth)
void | setMobileDataEnabled (bool enabled)
void | setSimForMobileData (Sim *sim)

## Signals

void | flightModeUpdated (bool)
void | onlineUpdated (bool value)
void | limitedBandwidthUpdated (bool value)
void | limitationsUpdated (const QVector< connectivityqt::Connectivity::Limitations > &)
void | statusUpdated (connectivityqt::Connectivity::Status value)
void | wifiEnabledUpdated (bool)
void | unstoppableOperationHappeningUpdated (bool)
void | flightModeSwitchEnabledUpdated (bool)
void | wifiSwitchEnabledUpdated (bool)
void | hotspotSwitchEnabledUpdated (bool)
void | hotspotSsidUpdated (const QByteArray &name)
void | hotspotPasswordUpdated (const QString &password)
void | modemAvailableUpdated (bool)
void | hotspotEnabledUpdated (bool)
void | hotspotModeUpdated (const QString &mode)
void | hotspotAuthUpdated (const QString &auth)
void | hotspotStoredUpdated (bool)
void | reportError (int reason)
void | initialized ()
void | vpnConnectionsUpdated (QAbstractItemModel *)
void | mobileDataEnabledUpdated (bool)
void | simForMobileDataUpdated (Sim *sim)

## Public Member Functions

| LOMIRI_DEFINES_PTRS (Connectivity)
| Connectivity (const QDBusConnection &sessionConnection=QDBusConnection::sessionBus(), QObject *parent=0)
| Connectivity (const std::function< void(QObject *)> &objectOwner, const QDBusConnection &sessionConnection=QDBusConnection::sessionBus(), QObject *parent=0)
| ~Connectivity ()
bool | flightMode () const
bool | online () const
bool | limitedBandwidth () const
QVector< connectivityqt::Connectivity::Limitations > | limitations () const
connectivityqt::Connectivity::Status | status () const
bool | wifiEnabled () const
bool | unstoppableOperationHappening () const
bool | flightModeSwitchEnabled () const
bool | wifiSwitchEnabled () const
bool | hotspotSwitchEnabled () const
bool | modemAvailable () const
QByteArray | hotspotSsid () const
QString | hotspotPassword () const
bool | hotspotEnabled () const
QString | hotspotMode () const
QString | hotspotAuth () const
bool | hotspotStored () const
bool | isInitialized () const
QAbstractItemModel * | vpnConnections () const
bool | mobileDataEnabled () const
Sim * | simForMobileData () const
QAbstractItemModel * | modems () const
QAbstractItemModel * | sims () const

## Static Public Member Functions

static void | registerMetaTypes ()

## Protected Attributes

std::shared_ptr< Priv > | d

## Properties

bool | flightMode
bool | online
bool | limitedBandwidth
QVector< connectivityqt::Connectivity::Limitations > | Limitations
connectivityqt::Connectivity::Status | status
bool | wifiEnabled
bool | unstoppableOperationHappening
bool | flightModeSwitchEnabled
bool | wifiSwitchEnabled
bool | hotspotSwitchEnabled
bool | modemAvailable
QByteArray | hotspotSsid
QString | hotspotPassword
bool | hotspotEnabled
QString | hotspotMode
QString | hotspotAuth
bool | hotspotStored
bool | initialized
QAbstractItemModel * | vpnConnections
bool | mobileDataEnabled
Sim * | simForMobileData
QAbstractItemModel * | modems
QAbstractItemModel * | sims

## Member Enumeration Documentation

## Limitations

enum class connectivityqt::Connectivity::Limitations

strong

enum for networking limitations

Networking limitations may be accessed through the Connectivity::limitations property.

Enumerator
Bandwidth | indicates that the bandwidth of the Internet connection has limitations. Applications should minimize their bandwidth usage if possible.

## Status

enum class connectivityqt::Connectivity::Status

strong

enum for networking status

Networking status may be accessed through the Connectivity::status property.

Enumerator
Offline | No Internet connection available.
Connecting | System is actively establising a connection.
Online | System is connected to the Internet.

## Constructor & Destructor Documentation

## Connectivity() [1/2]

connectivityqt::Connectivity::Connectivity | ( | const QDBusConnection & | sessionConnection = QDBusConnection::sessionBus(),
|  | QObject * | parent = 0 )

## Connectivity() [2/2]

connectivityqt::Connectivity::Connectivity | ( | const std::function< void(QObject *)> & | objectOwner,
|  | const QDBusConnection & | sessionConnection = QDBusConnection::sessionBus(),
|  | QObject * | parent = 0 )

## ~Connectivity()

connectivityqt::Connectivity::~Connectivity | ( |  | ) |

## Member Function Documentation

## flightMode()

bool connectivityqt::Connectivity::flightMode | ( |  | ) | const

## flightModeSwitchEnabled()

bool connectivityqt::Connectivity::flightModeSwitchEnabled | ( |  | ) | const

## flightModeSwitchEnabledUpdated

void connectivityqt::Connectivity::flightModeSwitchEnabledUpdated | ( | bool |  | ) |

signal

## flightModeUpdated

void connectivityqt::Connectivity::flightModeUpdated | ( | bool |  | ) |

signal

## hotspotAuth()

QString connectivityqt::Connectivity::hotspotAuth | ( |  | ) | const

## hotspotAuthUpdated

void connectivityqt::Connectivity::hotspotAuthUpdated | ( | const QString & | auth | ) |

signal

## hotspotEnabled()

bool connectivityqt::Connectivity::hotspotEnabled | ( |  | ) | const

## hotspotEnabledUpdated

void connectivityqt::Connectivity::hotspotEnabledUpdated | ( | bool |  | ) |

signal

## hotspotMode()

QString connectivityqt::Connectivity::hotspotMode | ( |  | ) | const

## hotspotModeUpdated

void connectivityqt::Connectivity::hotspotModeUpdated | ( | const QString & | mode | ) |

signal

## hotspotPassword()

QString connectivityqt::Connectivity::hotspotPassword | ( |  | ) | const

## hotspotPasswordUpdated

void connectivityqt::Connectivity::hotspotPasswordUpdated | ( | const QString & | password | ) |

signal

## hotspotSsid()

QByteArray connectivityqt::Connectivity::hotspotSsid | ( |  | ) | const

## hotspotSsidUpdated

void connectivityqt::Connectivity::hotspotSsidUpdated | ( | const QByteArray & | name | ) |

signal

## hotspotStored()

bool connectivityqt::Connectivity::hotspotStored | ( |  | ) | const

## hotspotStoredUpdated

void connectivityqt::Connectivity::hotspotStoredUpdated | ( | bool |  | ) |

signal

## hotspotSwitchEnabled()

bool connectivityqt::Connectivity::hotspotSwitchEnabled | ( |  | ) | const

## hotspotSwitchEnabledUpdated

void connectivityqt::Connectivity::hotspotSwitchEnabledUpdated | ( | bool |  | ) |

signal

## initialized

void connectivityqt::Connectivity::initialized | ( |  | ) |

signal

## isInitialized()

bool connectivityqt::Connectivity::isInitialized | ( |  | ) | const

## limitations()

QVector< Connectivity::Limitations > connectivityqt::Connectivity::limitations | ( |  | ) | const

## limitationsUpdated

void connectivityqt::Connectivity::limitationsUpdated | ( | const QVector< connectivityqt::Connectivity::Limitations > & |  | ) |

signal

## limitedBandwidth()

bool connectivityqt::Connectivity::limitedBandwidth | ( |  | ) | const

## limitedBandwidthUpdated

void connectivityqt::Connectivity::limitedBandwidthUpdated | ( | bool | value | ) |

signal

## LOMIRI_DEFINES_PTRS()

connectivityqt::Connectivity::LOMIRI_DEFINES_PTRS | ( | Connectivity |  | ) |

## mobileDataEnabled()

bool connectivityqt::Connectivity::mobileDataEnabled | ( |  | ) | const

## mobileDataEnabledUpdated

void connectivityqt::Connectivity::mobileDataEnabledUpdated | ( | bool |  | ) |

signal

## modemAvailable()

bool connectivityqt::Connectivity::modemAvailable | ( |  | ) | const

## modemAvailableUpdated

void connectivityqt::Connectivity::modemAvailableUpdated | ( | bool |  | ) |

signal

## modems()

QAbstractItemModel * connectivityqt::Connectivity::modems | ( |  | ) | const

## online()

bool connectivityqt::Connectivity::online | ( |  | ) | const

## onlineUpdated

void connectivityqt::Connectivity::onlineUpdated | ( | bool | value | ) |

signal

## registerMetaTypes()

void connectivityqt::Connectivity::registerMetaTypes | ( |  | ) |

static

## reportError

void connectivityqt::Connectivity::reportError | ( | int | reason | ) |

signal

## setFlightMode

void connectivityqt::Connectivity::setFlightMode | ( | bool | enabled | ) |

slot

## setHotspotAuth

void connectivityqt::Connectivity::setHotspotAuth | ( | const QString & | auth | ) |

slot

## setHotspotEnabled

void connectivityqt::Connectivity::setHotspotEnabled | ( | bool | active | ) |

slot

## setHotspotMode

void connectivityqt::Connectivity::setHotspotMode | ( | const QString & | mode | ) |

slot

## setHotspotPassword

void connectivityqt::Connectivity::setHotspotPassword | ( | const QString & | password | ) |

slot

## setHotspotSsid

void connectivityqt::Connectivity::setHotspotSsid | ( | const QByteArray & | ssid | ) |

slot

## setMobileDataEnabled

void connectivityqt::Connectivity::setMobileDataEnabled | ( | bool | enabled | ) |

slot

## setSimForMobileData

void connectivityqt::Connectivity::setSimForMobileData | ( | Sim * | sim | ) |

slot

## setwifiEnabled

void connectivityqt::Connectivity::setwifiEnabled | ( | bool | enabled | ) |

slot

## simForMobileData()

Sim * connectivityqt::Connectivity::simForMobileData | ( |  | ) | const

## simForMobileDataUpdated

void connectivityqt::Connectivity::simForMobileDataUpdated | ( | Sim * | sim | ) |

signal

## sims()

QAbstractItemModel * connectivityqt::Connectivity::sims | ( |  | ) | const

## status()

Connectivity::Status connectivityqt::Connectivity::status | ( |  | ) | const

## statusUpdated

void connectivityqt::Connectivity::statusUpdated | ( | connectivityqt::Connectivity::Status | value | ) |

signal

## unstoppableOperationHappening()

bool connectivityqt::Connectivity::unstoppableOperationHappening | ( |  | ) | const

## unstoppableOperationHappeningUpdated

void connectivityqt::Connectivity::unstoppableOperationHappeningUpdated | ( | bool |  | ) |

signal

## vpnConnections()

QAbstractItemModel * connectivityqt::Connectivity::vpnConnections | ( |  | ) | const

## vpnConnectionsUpdated

void connectivityqt::Connectivity::vpnConnectionsUpdated | ( | QAbstractItemModel * |  | ) |

signal

## wifiEnabled()

bool connectivityqt::Connectivity::wifiEnabled | ( |  | ) | const

## wifiEnabledUpdated

void connectivityqt::Connectivity::wifiEnabledUpdated | ( | bool |  | ) |

signal

## wifiSwitchEnabled()

bool connectivityqt::Connectivity::wifiSwitchEnabled | ( |  | ) | const

## wifiSwitchEnabledUpdated

void connectivityqt::Connectivity::wifiSwitchEnabledUpdated | ( | bool |  | ) |

signal

## Member Data Documentation

## d

std::shared_ptr<Priv> connectivityqt::Connectivity::d

protected

## Property Documentation

## flightMode

bool connectivityqt::Connectivity::flightMode

read write

## flightModeSwitchEnabled

bool connectivityqt::Connectivity::flightModeSwitchEnabled

read

## hotspotAuth

QString connectivityqt::Connectivity::hotspotAuth

read write

## hotspotEnabled

bool connectivityqt::Connectivity::hotspotEnabled

read write

## hotspotMode

QString connectivityqt::Connectivity::hotspotMode

read write

## hotspotPassword

QString connectivityqt::Connectivity::hotspotPassword

read write

## hotspotSsid

QByteArray connectivityqt::Connectivity::hotspotSsid

read write

## hotspotStored

bool connectivityqt::Connectivity::hotspotStored

read

## hotspotSwitchEnabled

bool connectivityqt::Connectivity::hotspotSwitchEnabled

read

## initialized

bool connectivityqt::Connectivity::initialized

read

## Limitations

QVector<connectivityqt::Connectivity::Limitations> connectivityqt::Connectivity::Limitations

read

## limitedBandwidth

bool connectivityqt::Connectivity::limitedBandwidth

read

## mobileDataEnabled

bool connectivityqt::Connectivity::mobileDataEnabled

read write

## modemAvailable

bool connectivityqt::Connectivity::modemAvailable

read

## modems

QAbstractItemModel* connectivityqt::Connectivity::modems

read

## online

bool connectivityqt::Connectivity::online

read

## simForMobileData

Sim* connectivityqt::Connectivity::simForMobileData

read write

## sims

QAbstractItemModel* connectivityqt::Connectivity::sims

read

## status

connectivityqt::Connectivity::Status connectivityqt::Connectivity::status

read

## unstoppableOperationHappening

bool connectivityqt::Connectivity::unstoppableOperationHappening

read

## vpnConnections

QAbstractItemModel* connectivityqt::Connectivity::vpnConnections

read

## wifiEnabled

bool connectivityqt::Connectivity::wifiEnabled

read write

## wifiSwitchEnabled

bool connectivityqt::Connectivity::wifiSwitchEnabled

read

The documentation for this class was generated from the following files:

- connectivity.h
- connectivity.cpp